#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k, p, x;
    cin>>n>>k;
    cin>>p;
    if(p==k){
        cin>>p;
        cout<<p;
        return 0;
    }
    for(int i=1; i<n; i++){
        cin>>x;
        if(x==k){
            if(i==n-1){
                cout<<p;
                return 0;
            }
            else{
                cin>>p;
                cout<<p;
                return 0;
            }
        }
    }
    return 0;
}